View Issue Details

IDProjectCategoryView StatusLast Update
0005112SymmetricDS ProImprovementpublic2022-04-26 18:00
Reporterpmarzullo Assigned Toemiller  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.14.0 
Target Version3.14.0Fixed in Version3.14.0 
Summary0005112: Kafka Advanced Settings to include ability to specify kafkaclient properties
DescriptionWhen configuring a kafka client (producer), there is the ability to specify engine properties that can be passed on to the kafka client in a format understood by the SymmetricDS software. Any property that has "kafkaclient." as the start of the name of the property will be passed to the kafka client software as part of its configuration.

We should include a way on the advanced settings page for the kafka node to specify kafkaclient properties so that the engine file does not have to be manually edited outside of the SymmetricDS user interface to make it easier to set up things like SSL connection for the kafka client.
Additional InformationHere is a customer testimonial about this improvement:

We've noticed that when we set up a Local Node for Kafka (Load only) in JumpMind, there's no where to specify keystore/truststore settings for 2-way SSL with an external Kafka consumer.

We've observed SSL handshake errors in the logs of our external Kafka consumer when JumpMind is attempting to push messages to the topics on the external Kafka consumer. We were able to mitigate those errors by:
Laying down a new JKS keystore on JumpMind's filesystem whose password is not obfuscated by JumpMind
Update /opt/symmetric-ds/engines/kafka-001.properties with the following:
kafkaclient.security.protocol=SSL
kafkaclient.ssl.keystore.location=/opt/symmetric-ds/security/server.jks
kafkaclient.ssl.keystore.password=<non_obfuscated_password>
kafkaclient.ssl.truststore.location=/opt/symmetric-ds/security/cacerts
kafkaclient.ssl.keystore.type=JKS
If it's something they can incorporate in a future release in the Node configuration wizard for Kafka (Load only), that would be great so that we wouldn't need to manually update the Kafka node engine file directly as a post-install step.
Tagsdialect: kafka

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.14 7c9e4b71

2022-04-26 17:21:59

evan-miller-jumpmind

Details Diff
0005112: Added constants for Kafka advanced settings Affected Issues
0005112
mod - symmetric-assemble/src/asciidoc/images/appendix/kafka-advanced-settings.png Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File

Issue History

Date Modified Username Field Change
2021-10-28 13:10 pmarzullo New Issue
2021-10-28 13:10 pmarzullo Tag Attached: dialect: kafka
2021-11-16 20:27 elong Target Version 3.13.0 => 3.13.1
2021-12-11 17:09 admin Target Version 3.13.1 => 3.13.2
2021-12-20 14:27 admin Target Version 3.13.2 => 3.13.3
2022-01-12 19:27 elong Product Version 3.13.0 => 3.14.0
2022-01-12 19:27 elong Target Version 3.13.3 => 3.14.0
2022-04-26 14:37 emiller Assigned To => emiller
2022-04-26 14:37 emiller Status new => assigned
2022-04-26 17:26 emiller Status assigned => resolved
2022-04-26 17:26 emiller Resolution open => fixed
2022-04-26 17:26 emiller Fixed in Version => 3.14.0
2022-04-26 18:00 Changeset attached => SymmetricDS 3.14 7c9e4b71